Skip to main content
GET
/
lucca-api
/
portraits
/
{id}
Retrieve/Download a portrait
curl --request GET \
  --url https://{host}/lucca-api/portraits/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "874",
  "type": "portrait",
  "url": "https://example.ilucca.net/lucca-api/portraits/874",
  "employee": {
    "id": "416",
    "type": "employee",
    "url": "https://example.ilucca.net/lucca-api/employees/416"
  },
  "fileName": "jdoe-800.jpeg",
  "contentType": "image/jpeg",
  "links": {}
}
This API endpoint is in beta and may be subject to changes, including breaking changes, without prior notice.
OAuth 2.0 scopes
 employees.readonly
or
 employees.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Accept
enum<string>
default:application/json

Send image/* if you want to download the file.

Available options:
*/*,
application/json,
image/*
Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the portrait.

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

JSON representation of the employee portrait.

id
string
Minimum string length: 1
type
string
Allowed value: "portrait"
url
string<uri>
employee
employee-reference · object

Reference to an employee resource.

fileName
string
Minimum string length: 1
contentType
string

Examples may be: 'image/jpeg', 'image/png', 'image/bmp', 'image/gif', 'image/tiff', etc...

createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object

No embedded resources on a portrait(s) response. Expect an empty object if embedded are requested.